package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate: 2019\11\15 10:01
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "IF_QC_ORDER")
@Api("IF_质检单")
public class IfQcOrder extends BaseBean  implements Serializable {

    private static final long serialVersionUID = -5412635747424111476L;
    @Column(name = "ORDER_NO")
    @ApiParam("质检单号")
    private String orderNo;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "QTY")
    @ApiParam("数量")
    private Double qty = 0D;

    @Column(name = "UNIT")
    @ApiParam("单位")
    private String unit;

    @Column(name = "SUPPLIER_CODE")
    @ApiParam("供应商代码")
    private String supplierCode;

    @Column(name = "SRC_LOT_NO")
    @ApiParam("收货批次")
    private String srcLotNo;

    @Column(name = "FIX_LOT_NO")
    @ApiParam("特殊批次")
    private String fixLotNo;

    @Column(name = "RELATION_ORDER_NO")
    @ApiParam("关联单号")
    private String relationOrderNo;

    @Column(name = "UUID")
    @ApiParam("数据唯一编号")
    private String uuid;

    @Column(name = "ORGANIZTION_CODE")
    @ApiParam("工厂代码")
    private String organiztionCode;

    @Column(name = "SYNC_STATUS")
    @ApiParam("同步状态")
    private Integer syncStatus;

    @Column(name = "ERROR_MESSAGE")
    @ApiParam("异常消息")
    private String errorMessage;

    @Column(name = "ACTION_CODE")
    @ApiParam("动作代码")
    private String actionCode;

    @Column(name = "IF_CODE")
    @ApiParam("接口代码")
    private String ifCode;

}
