package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :JIT发运数据同步
 * @Reference :
 * @Author : qianhuasheng
 * @CreateDate : 2020-03-27
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "if_queue_shipping")
@Api("JIT发运数据同步")
public class IfQueueShipping extends BaseBean implements Serializable {
	private static final long serialVersionUID = -8961182851667690154L;
	@Column(name = "JIT_NO")
	@ApiParam("JIT队列编号")
	private String jitNo;

	@Column(name = "VIN_CODE")
	@ApiParam("vin")
	private String vinCode;

	@Column(name = "CUST_FLAG_NO")
	@ApiParam("客户标识号")
	private String custFlagNo;

	@Column(name = "PART_NO")
	@ApiParam("物料号")
	private String partNo;

	@Column(name = "PART_NAME")
	@ApiParam("物料名称")
	private String partName;

	@Column(name = "PRODUCT_SN")
	@ApiParam("产品条码")
	private String productSn;

	@Column(name = "QTY")
	@ApiParam("数量")
	private Double qty;

	@Column(name = "SUPPLIER_CODE")
	@ApiParam("供应商代码")
	private String supplierCode;

	@Column(name = "ACTION_USER")
	@ApiParam("操作人")
	private String actionUser;

	@Column(name = "ACTION_DATE_TIME")
	@ApiParam("操作时间")
	private String actionDateTime;

	@Column(name = "WORK_CENTER_CODE")
	@ApiParam("产线")
	private String workCenterCode;

	@Column(name = "PRODUCE_CATEGORY_CODE")
	@ApiParam("产品位置")
	private String produceCategoryCode;


	@Column(name = "QUEUE_GROUP_NO")
	@ApiParam("分组队列编号")
	private String queueGroupNo;

	@Column(name = "JIT_LOT_NO")
	@ApiParam("JIT队列批次")
	private String jitLotNo;

	@Column(name = "SYNC_STATUS")
	@ApiParam("同步状态")
	private Integer syncStatus;

	@Column(name = "ERROR_MESSAGE")
	@ApiParam("异常消息")
	@Lob
	private String errorMessage;

	@Column(name = "ACTION_CODE")
	@ApiParam("动作代码")
	private String actionCode;

	@Column(name = "IF_CODE")
	@ApiParam("接口代码")
	private String ifCode;

}
