package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/28 4:08 下午
 * @Modify:MES_OPERATE_OBJECT_CFG
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_OPERATE_OBJECT_ATTRIBUTE")
@Api("MES_运算对象属性")
public class MesOperateObjectAttribute extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3916105499867386686L;

    @Column(name = "ATTRIBUTE_CODE")
    @ApiParam("属性代码")
    private String attributeCode;

    @Column(name = "ATTRIBUTE_NAME")
    @ApiParam("属性名称")
    private String attributeName;

    @Column(name = "ATTRIBUTE_TYPE")
    @ApiParam("属性类型")
    private Integer attributeType;

    @Column(name = "OPERATE_TYPE")
    @ApiParam("运算类型")
    private Integer operateType;

    @Transient
    @ApiParam("属性值")
    private String attributeValue;

    @Transient
    @ApiParam("是否自定义属性")
    private boolean customAttribute = false;
}
