package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :MES工装类型
 * @Reference :
 * @Author : qianhuasheng
 * @CreateDate : 2020-03-19
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_TOOLING")
@Api("MES工装类型")
public class MesTooling extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5033127912658757665L;

    @Column(name = "TOOLING_CODE ")
    @ApiParam("工装代码")
    private String toolingCode ;

    @Column(name = "TOOLING_NAME")
    @ApiParam("工装名称")
    private String toolingName;

    @Column(name = "TOOLING_TYPE")
    @ApiParam("工装类型")
    private Integer toolingType;

    @Column(name = "USE_COUNT_MAX")
    @ApiParam("最大使用次数")
    private Integer useCountMax;

    @Column(name = "USE_TIME_MAX")
    @ApiParam("最大使用时间")
    private String useTimeMax;
}
