package cn.estsh.i3plus.pojo.mes.model;


import cn.estsh.i3plus.pojo.mes.bean.MesStateMachineStatus;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description : 工位请求bean
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-19
 * @Modify:
 **/
@Data
public class StationRequestBean implements Serializable {

    private static final long serialVersionUID = -8597212451891803174L;

    @ApiParam("扫描信息")
    private String scanInfo;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("生产类型")
    private String pptCode;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("组织名称")
    private String organizeName;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("工作单元名称")
    private String workCellName;

    @ApiParam("流程代码")
    private String routeCode;

    @ApiParam("工序代码")
    private String processCode;

    @ApiParam("客户端信息")
    private String clientInfo;

    @ApiParam("用户信息")
    private String userInfo;

    @ApiParam("按钮编号")
    private String buttonCode;

    @ApiParam("状态代码")
    private String statusCode;

    @ApiParam("工步代码")
    private String stepCode;

    @ApiParam("工步序号")
    private Integer stepSeq;

    @ApiParam("强制执行工步代码")
    private String forceSpecStepCode;

    @ApiParam("强制执行状态点代码")
    private String forceSpecStatusCode;
    /**
     * doScan-扫描，doModule-处理组件,initModule-初始化组件
     */
    @ApiParam("业务类型")
    private String busiType;

    @ApiParam("界面类型")
    private String interfaceType;

    @ApiParam("工位监听类型")
    private String monitorType;

    @ApiParam("工位监听组件")
    private String monitorModule;

    @ApiParam("工位监听消息")
    private String monitorMsg;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("托盘号")
    private String tray;

    @ApiParam("完成数量")
    private Integer finishCount;

    @ApiParam("工步列表")
    private List<StepModel> stepList;

    @ApiParam("工位参数")
    private Map<String, String> wcpcMap;

    @ApiParam("生产主队列编号")
    private String orderNo;

    @ApiParam("分组队列编号")
    private String queueGroupNo;

    @ApiParam("数据map")
    private Map<String, Object> dataMap = new HashMap<>();

    @ApiParam("流程状态集合")
    private List<MesStateMachineStatus> fsmStates;

    @ApiParam("当前流程状态")
    private MesStateMachineStatus curFsmState;

    @ApiParam("展示组件")
    private Object moduleService;

    @ApiParam("客户工厂代码")
    private String customerFactoryCode;

    @Override
    public String toString() {
        return "StationRequestBean{" +
                "scanInfo='" + scanInfo + '\'' +
                ", serialNumber='" + serialNumber + '\'' +
                ", partNo='" + partNo + '\'' +
                ", organizeCode='" + organizeCode + '\'' +
                ", organizeName='" + organizeName + '\'' +
                ", workCenterCode='" + workCenterCode + '\'' +
                ", workCellCode='" + workCellCode + '\'' +
                ", routeCode='" + routeCode + '\'' +
                ", processCode='" + processCode + '\'' +
                ", clientInfo='" + clientInfo + '\'' +
                ", userInfo='" + userInfo + '\'' +
                ", buttonCode='" + buttonCode + '\'' +
                ", stepCode='" + stepCode + '\'' +
                ", busiType='" + busiType + '\'' +
                ", workOrderNo='" + workOrderNo + '\'' +
                ", tray='" + tray + '\'' +
                ", finishCount=" + finishCount +
                '}';
    }
}
