package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-4-20 上午9:46
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_POJO_VERSION_PLAN")
@Api(value="对象历史")
public class SysPojoVersionPlan extends BaseBean {

    private static final long serialVersionUID = -1120504360281638917L;
    @Column(name="SOFT_TYPE")
    @ApiParam(value ="产品类型")
    private Integer softType;

    public String getSoftTypeTxt() {
        return softType == null ? null : CommonEnumUtil.SOFT_TYPE.valueOfDescription(softType);
    }

    @Column(name="REF_CLASS")
    @ApiParam(value ="记录对象")
    private String refClass;

    @Column(name="REF_CLASS_TITLE")
    @ApiParam(value ="记录对象名称")
    private String refClassTitle;

    @Column(name="PLAN_STATUS")
    @ApiParam(value ="记录对象状态")
    private Integer planStatus;

    @Column(name="PLAN_DESCRIPTION")
    @ApiParam(value ="记录对象描述")
    private String planDescription;
}
