package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/14 11:21
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_INTERFACE_ELEMENT")
@EqualsAndHashCode(callSuper = true)
@Api("界面元素")
public class PtlInterfaceElement extends BaseBean implements Serializable {
    private static final long serialVersionUID = -8436630151033411240L;

    @Column(name = "INTERFACE_NO")
    @ApiParam("界面代码")
    private String interfaceNo;

    @Column(name = "ELEMENT_NO")
    @ApiParam("元素代码")
    private String elementNo;

    @Column(name = "FEEDBACK_ELEMENT")
    @ApiParam("界面代码")
    private String feedbackElement;
}
