package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :PTL_对象与dao对应关系
 * @Reference :
 * @Author : adair.song
 * @CreateDate : 2019-04-23
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "PTL_OBJECT_DAO")
@Api("PTL_对象与dao对应关系")
public class PtlObjectDao extends BaseBean implements Serializable {
    private static final long serialVersionUID = 2286752328499060L;
    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

    @Column(name = "DAO_CLASS")
    @ApiParam("dao层类名")
    private String daoClass;

}
