package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author adair.song
 * @date 2020/2/25 10:14
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_PART")
@EqualsAndHashCode(callSuper = true)
@Api("物料")
public class PtlPart extends BaseBean implements Serializable {
    private static final long serialVersionUID = -7451758045686558893L;

    @Column(name = "PART_NO")
    @ApiParam("物料编号")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "PART_TYPE")
    @ApiParam("物料类型")
    private String partType;

    @Column(name = "UNIT")
    @ApiParam("单位")
    private String unit;

}
