package cn.estsh.i3plus.pojo.ptl.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 生产队列主表
 * @Reference:
 * @Author: wangjie
 * @CreateDate:2019-04-16-17:36
 * @Modify:
 **/
@Data
@ApiModel("生产队列主表")
public class  MesQueueOrder implements Serializable {

    private static final long serialVersionUID = -3124113504001270712L;

    @ApiParam("主队列编号")
    private String orderNo;

    @ApiParam("Vin")
    private String vinCode;

    @ApiParam("客户标识号")
    private String custFlagNo;

    @ApiParam("产品配置代码")
    private String prodCfgCode;

    @ApiParam("产品配置名称")
    private String prodCfgNameRdd;

    @ApiParam("排序")
    private Double seq;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("状态")
    private Integer status;

    @ApiParam("客户产线代码")
    private String custProdLineCode;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("锁定标识")
    private Integer isLock;

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("工单类型")
    private String workType;

    @ApiParam("队列类型")
    private Integer queueType;

    @ApiParam("生产组代码")
    private String pgCode;

    @ApiParam(value = "id")
    public Long id;

    @ApiParam(value ="组织代码")
    public String organizeCode;

    @ApiParam(value = "有效性")
    public Integer isValid;

    @ApiParam(value = "是否已删除")
    public Integer isDeleted;

    @ApiParam(value = "创建用户")
    public String createUser;

    @ApiParam(value = "创建日期")
    public String createDatetime;

    @ApiParam(value = "修改人")
    public String modifyUser;

    @ApiParam(value = "修改日期")
    public String modifyDatetime;

}
