package cn.estsh.i3plus.pojo.ptl.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 生产队列明细
 * @Reference:
 * @Author: wangjie
 * @CreateDate:2019-04-16-17:36
 * @Modify:
 **/
@Data
@ApiModel("生产队列明细")
public class MesQueueOrderDetail implements Serializable {

    private static final long serialVersionUID = 1945173626511595078L;

    @ApiParam("主队列编号")
    private String orderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("队列明细序号")
    private Double seq;

    @ApiParam("数量")
    private Double qty;

    @ApiParam("状态")
    private Integer status;

    @ApiParam("生产类型")
    private String workType;

    @ApiParam("产品类型代码")
    private String produceCategoryCode;

    @ApiParam("产品类型名称")
    private String produceCategoryNameRdd;

    @ApiParam("产品类型名称")
    private String pptCode;

    @ApiParam("分组队列编号")
    private String queueGroupNo;

    @ApiParam("组内编号")
    private Integer groupNo;

    @ApiParam("料架是否已打印")
    private Integer isGroupPrinted;

    @ApiParam("已生产数量")
    private Double finsihQty;

    @ApiParam(value = "id")
    public Long id;

    @ApiParam(value ="组织代码")
    public String organizeCode;

    @ApiParam(value = "有效性")
    public Integer isValid;

    @ApiParam(value = "是否已删除")
    public Integer isDeleted;

    @ApiParam(value = "创建用户")
    public String createUser;

    @ApiParam(value = "创建日期")
    public String createDatetime;

    @ApiParam(value = "修改人")
    public String modifyUser;

    @ApiParam(value = "修改日期")
    public String modifyDatetime;
}
