package cn.estsh.i3plus.pojo.ptl.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description : 流程明细Model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2020-04-10 13:27
 * @Modify:
 **/
@Data
@Api("流程明细Model")
public class ProcessDetailModel implements Serializable {

    private static final long serialVersionUID = 3569055511035396175L;

    @ApiParam("状态代码")
    private String statusCode;

    @ApiParam("状态名称")
    private String statusName;

    @ApiParam("触发类型")
    private Integer triggerType;

    @ApiParam("触发条件（MVEL）")
    private String triggerWhere;

    @ApiParam("组件集MAP")
    private Map<String, List<ActionModuleGroupModel>> actionModuleGroupMap;

    @ApiParam("下个状态点MAP")
    private Map<String, String> nextStatusMap;

    @ApiParam("触发调用")
    private Long actionAmgId;

    @ApiParam("进入状态调用")
    private Long inAmgId;

    @ApiParam("离开状态调用")
    private Long outAmgId;

}
