package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 检测结果明细表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-04-23 11:03
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_TEST_RESULT_DETAILS")
@Api("检测结果明细表")
public class WmsTestResultDetails extends BaseBean {

    private static final long serialVersionUID = -3295112411840494690L;
    @Column(name = "BH_CODE")
    @ApiParam("BH号")
    public String bhCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线代码")
    public String workCenterCode;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    public String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    public String partName;

    @Column(name = "CHECK_TYPE")
    @ApiParam("大检测项类型")
    @AnnoOutputColumn(refClass = WmsEnumUtil.BH_CHECK_TYPE.class, refForeignKey = "value", value = "description")
    public Integer checkType;

    @Column(name = "qr_code")
    @ApiParam("二维码")
    public String qrCode;

    @Column(name = "is_qualified")
    @ApiParam("是否合格")
    @AnnoOutputColumn(refClass = WmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    public Integer isQualified;

    @Column(name = "check_value")
    @ApiParam("检测值")
    public String checkValue;

    @Transient
    @ApiParam("已检测数")
    private Long checkSize;

    public WmsTestResultDetails() {
    }

    public WmsTestResultDetails(String partNo, Integer checkType, String bhCode, Long checkSize) {
        this.partNo = partNo;
        this.checkType = checkType;
        this.bhCode = bhCode;
        this.checkSize = checkSize;
    }
}
