package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

/**
 * @Description :窗口输出类
 * @Reference :
 * @Author :QianHuaSheng
 * @CreateDate : 2020-04-21 2:37 下午
 * @Modify:
 **/
@Entity
@Data
@Api("窗口输出类")
public class WmsCustWindowDto {

    @Id
    @GeneratedValue(generator = "IDGenerator")
    @GenericGenerator(name = "IDGenerator", strategy = "assigned")
    @Column(name = "ID")
    @ApiParam(value = "主键", example = "0")
    public Long id;


    @ApiParam(value = "窗口时间")
    private String custWindowTime;

    @ApiParam(value = "星期一客户")
    private String mondayCust;

    @ApiParam(value = "星期二客户")
    private String tuesdayCust;

    @ApiParam(value = "星期三客户")
    private String wednesdayCust;

    @ApiParam(value = "星期四客户")
    private String thursdayCust;

    @ApiParam(value = "星期五客户")
    private String fridayCust;

    @ApiParam(value = "星期六客户")
    private String saturdayCust;

    @ApiParam(value = "星期日客户")
    private String sundayCust;

}
